# Freeze::CatalogData

## Overview

### struct CatalogData

The catalog keeps information about Freeze Maps and Freeze evictors in a Berkeley Db environment. It is used by FreezeScript.

## Data Member Index

evictor
  True if this entry describes an evictor database, false if it describes a map database.
key
  The Slice type for the database key.
value
  The Slice type for the database value.

## Data Members

bool evictor;

  True if this entry describes an evictor database, false if it describes a map database.

string key;

  The Slice type for the database key.

string value;

  The Slice type for the database value.